Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006758opensim[REGION] OpenSim Corepublic2013-09-04 10:282014-08-15 19:47
Reporterkenvc 
Assigned Tokenvc 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad Core 32GBOSWindowsOS VersionServer 2012 64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006758: Even when UpdatePrioritizationScheme = BestAvatarResponsiveness is used, AV skin and clothes are usually the last thing to rez
DescriptionEven when UpdatePrioritizationScheme = BestAvatarResponsiveness is used, AV skin and clothes are usually the last thing to rez on login. The odd thing is that attachments such as hair and boots seems to rez fast like they should, but the AV skin, and clothes such as shirt and pants usually are the last (or close to the last) thing to rez in the scene. I was told that using BestAvatarResponsiveness should make everything related to the AV rez first, but it really doesn't seem to do much anything different than using FrontToBack on this setting.

The opensim.log contains nothing at all out of the ordinary related to this.
Steps To ReproduceUse the setting mentioned above and login. Textures related to the AV should rez first but they don't. I have tried this on sims with a lot of prims and ones that have only a few prims and the AV related textures still seem to be the last to rez.
TagsNo tags attached.
Git Revision or version numberr/23579
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerAll I have tried
Attached Files

- Relationships

-  Notes
(0024473)
aleric (reporter)
2013-10-15 17:37

Isn't this 100% a viewer issue?
(0024586)
kenvc (reporter)
2013-10-30 15:53

It doesn't seem to matter what viewer is used, and there is a setting in opensim to make the AV stuff rez first, so I assume its an opensim issue.
(0024588)
cmickeyb (administrator)
2013-10-30 15:56

Avatar appearance assets are not sent through the prioritization scheme. Attachments would be, but not wearables. It is possible that the different prioritization schemes are consuming other resources with the side effect that the wearables are sent more slowly.

- Issue History
Date Modified Username Field Change
2013-09-04 10:28 kenvc New Issue
2013-09-04 10:28 kenvc Status new => confirmed
2013-09-04 10:28 kenvc Steps to Reproduce Updated View Revisions
2013-10-15 17:37 aleric Note Added: 0024473
2013-10-30 15:53 kenvc Note Added: 0024586
2013-10-30 15:56 cmickeyb Note Added: 0024588
2014-08-15 19:47 kenvc Status confirmed => resolved
2014-08-15 19:47 kenvc Fixed in Version => master (dev code)
2014-08-15 19:47 kenvc Resolution open => fixed
2014-08-15 19:47 kenvc Assigned To => kenvc
2014-08-15 19:47 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker